From 6ac17153e0bfae19aabd6e252a98b7a2b246eee7 Mon Sep 17 00:00:00 2001
From: Besnard Jean-Baptiste <jbbesnard@actech-innovation.com>
Date: Thu, 2 Jul 2009 15:29:31 +0200
Subject: [PATCH] Changing i_pes_size and i_skip type in ParsePES to avoid signedness warning

---
 modules/demux/ts.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/modules/demux/ts.c b/modules/demux/ts.c
index 71341ce..93a4ee8 100644
--- a/modules/demux/ts.c
+++ b/modules/demux/ts.c
@@ -1617,8 +1617,8 @@ static void ParsePES( demux_t *p_demux, ts_pid_t *pid )
 {
     block_t *p_pes = pid->es->p_pes;
     uint8_t header[34];
-    int     i_pes_size = 0;
-    int     i_skip = 0;
+    size_t  i_pes_size = 0;
+    size_t  i_skip = 0;
     mtime_t i_dts = -1;
     mtime_t i_pts = -1;
     mtime_t i_length = 0;
@@ -3209,10 +3209,10 @@ static void PMTSetupEsTeletext( demux_t *p_demux, ts_pid_t *pid,
         {
             const dvbpsi_teletextpage_t *p_src = &p_sub->p_pages[i];
 
-            if( p_src->i_teletext_type < 0 || p_src->i_teletext_type >= 0x06 )
+            if( p_src->i_teletext_type >= 0x06 )
                 continue;
 
-            assert( i_page < sizeof(p_page)/sizeof(*p_page) );
+            assert( i_page < (int)(sizeof(p_page)/sizeof(*p_page)) );
 
             ts_teletext_page_t *p_dst = &p_page[i_page++];
 
@@ -3237,7 +3237,7 @@ static void PMTSetupEsTeletext( demux_t *p_demux, ts_pid_t *pid,
             if( p_src->i_subtitling_type < 0x01 || p_src->i_subtitling_type > 0x03 )
                 continue;
 
-            assert( i_page < sizeof(p_page)/sizeof(*p_page) );
+            assert( i_page < (int)(sizeof(p_page)/sizeof(*p_page)) );
 
             ts_teletext_page_t *p_dst = &p_page[i_page++];
 
@@ -3408,7 +3408,7 @@ static void PMTSetupEsDvbSubtitle( demux_t *p_demux, ts_pid_t *pid,
 
             /* */
             const dvbpsi_subtitle_t *p = &p_sub->p_subtitle[i];
-            p_es->fmt.psz_language = strndup( p->i_iso6392_language_code, 3 );
+            p_es->fmt.psz_language = strndup( (const char *)p->i_iso6392_language_code, 3 );
             switch( p->i_subtitling_type )
             {
             case 0x10: /* unspec. */
-- 
1.6.0.4

